QGIS Application - Feature request #5945
Point displacement labels adjustable offsets
2012-07-04 04:11 PM - John Tull

Status: Open

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15375
Description

The point displacement renderer is a great new feature. Currently, though, if you add labels to the points, they are displaced with a
non-configurable offset from the point symbols. Ideally, the user should be able to configure the displacement settings. In my case, | want
the labels to land on the points themselves to create a labeled shield (a number inside a circle). Unfortunately, the labels are well outside
of the symbols and | cannot modify that placement.

I've added a small screenshot to show how labels are being rendered on my system in case this is unique to OS X. My preference would
be for the labels to land on the symbols themselves for my particular usage.

Related issues:
Related to QGIS Application - Feature request # 6114: Use standard labelling ... Open 2012-07-28

History

#1 - 2012-07-04 04:38 PM - John Tull
- File point_displace_labels.png added

#2 - 2012-08-06 05:49 PM - Alister Hood

- Category changed from Symbology to Labelling

I think this is really a duplicate of #6114

#3 - 2012-08-06 07:13 PM - John Tull

Perhaps #6114 is a duplicate of this, or a different, possibly better, explanation of the same problem. This bug report was 69 reports sooner. ;-)

#4 - 2012-08-12 01:16 AM - Giovanni Manghi

John Tull wrote:

Perhaps #6114 is a duplicate of this, or a different, possibly better, explanation of the same problem. This bug report was 69 reports sooner. ;-)

Yes | agree, #6114 is duplicate of this ticket, but it also describes a more wider issue: the lack of options for the labels when using the "point displacement”
renderer. Anyway | think that we should merge this two tickets.

#5 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#6 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#7 - 2018-04-23 07:11 PM - Harrissou Santanna

- Related to Feature request #6114: Use standard labelling dialog for label attributes in "point displacement” renderer added

Files

point_displace_labels.png 209 KB 2012-07-04 John Tull
